# Todos (sorted by priority)
- [x] Automatically title graph by race name (no more hardcoding the graph name)
- [x] Adjust for pitstop discrepancies
- [x] Fetch rain races via API, not Reddit
- [x] Paint back of graph for weather change window
  - Also implemented for multiple weather changes
- [x] Rework fetching/recognition of rain races to use Wikipedia's race reports or something more official from the 
  FIA as source

- [ ] Identify & plot safety car periods
- [ ] Identify & plot driver crashes
- [ ] Calculate overtakes excluding a drivers crash lap separately

- [ ] Automatically determine if race is DWR or SWR (via tire changes)
- [ ] Adjust for situations like Canada 2024 -> 2 drivers taking wets at the start does not constitute a weather change
  - Implement actual 1/2 of drivers changing compounds rule
- [ ] Adjust for finding multiple weather changes in a race, not just one

- [ ] Read out number of drivers participating in session, rather than hardcoding number of drivers (since it might 
  change from 20 to more (or less) in future or in weird cases where a driver couldn't start the race)
- [ ] Extrapolate weather conditions from separate weather API to improve accuracy of wet weather race recognition