



# Lap position counting in F1
When a driver pits, his position for the lap he just drove is counted when he exits the pit lane. E.g. when the 
driver in P1 pits at the end of the 1st lap, and he gets overtaken by 2 cars during his pitstop, meaning he exits 
the pit as the driver in P3, his position for lap 1 will be counted as P3. This also applies if he gets overtaken by 
a 3rd car while he is on the pit exit road, but already out of pitlane.

This explanation seems to make the most sense for fair and reliable counting. However, a source which explains this 
could not be found.

There is no way to tell, if a switch of position occured during the lap or the pitstop. Statistically, although not 
proven, it is assumed to be more likely, that a switch of position occurs during a pitstop, rather than during the 
lap.  For this reason, overtakes made on or by a driver on an in-lap are not counted, since the actual overtakes 
missed by this should be negligible compared to the error caused by the pitstops which this method of counting negates.

# FastF1 querks
## Laps
In the FastF1 API, a lap is driven by only one driver. This means that if you want to get every drivers position for 
a given lap, you will have to access a unique lap for every driver-lapnumber combination. 